Bug 526478 - Win2003 PV Drivers: Network traffic loss
Summary: Win2003 PV Drivers: Network traffic loss
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xenpv-win
Version: 5.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Xen Maintainance List
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 518407
TreeView+ depends on / blocked
 
Reported: 2009-09-30 14:46 UTC by Jeff Bastian
Modified: 2018-10-27 14:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-30 12:11:26 UTC


Attachments (Terms of Use)

Description Jeff Bastian 2009-09-30 14:46:45 UTC
Description of problem:
When increasing the TCP Receive Window in the windows TCP settings, large spikes in traffic can cause complete network traffic loss in the domU with no recovery.

Version-Release number of selected component (if applicable):
xenpv-win 1.0.0
Windows 2003 32-bit and 64-bit

How reproducible:
always

Steps to Reproduce:
1. In Windows 2003 (32 bit was tested), change the default tcp
   receive window size to 256K by setting the registry value
   "HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\Afd\Parameters\DefaultReceiveWindow"
   to 262144.  If this value doesn't exist, create a REG_DWORD for
   'DefaultReceiveWindow'.
2. Reboot the host.
3. Connect to the domU host using Remote Desktop.
4. Start a 'ping -t' to some responsive host.
5. In another window, download a large file (>=300MB) from a relatively fast, 
   close host.

Actual results:
Very shortly after starting the download, the Remote desktop connection will be cease to be responsive.  Approximately 30-60 seconds later, it may return.  If it returns, you should also see that the local ping task has experienced timeouts as well.

Expected results:
no traffic loss

Additional info:

Comment 4 RHEL Product and Program Management 2010-08-09 19:18:37 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 5 Paolo Bonzini 2010-09-30 11:50:51 UTC
James, any news on this?

Comment 6 James G. Brown III 2010-09-30 12:11:26 UTC
Paolo, I don't believe this is reproducible by the original reporter. I am closing this insufficient data for now. 

- James


Note You need to log in before you can comment on or make changes to this bug.